<script setup>
import { ShowPage } from '@/app/core/pages/crud';
import model from '@/modules/region/models/city';

import PageTitle from '@/app/components/blocks/PageTitle.vue';
import Item from '@/app/components/crud/http/Item.vue';
</script>

<script>
export default {
    data() {
        return new ShowPage({
            context: this,
            title: this.__('Просмотр'),
            titleField: 'name.:locale',
            breadcrumbs: [
                {
                    label: this.__('Города'),
                    path: 'region/city',
                },
            ],
            model: model,
            http: {
                path: 'region/city/:id',
                query: {
                    'with[0]': 'region',
                },
            },
        });
    },
};
</script>

<template>
    <PageTitle :text="title" />
    <Item child="show" />
</template>
